AccountFiltersOperations Class

Warning

DO NOT instantiate this class directly.

Instead, you should access the following operations through

AzureMediaServices's

<xref:account_filters> attribute.

Inheritance
builtins.object
AccountFiltersOperations

Constructor

AccountFiltersOperations(*args, **kwargs)

Methods

create_or_update

Create or update an Account Filter.

Creates or updates an Account Filter in the Media Services account.

delete

Delete an Account Filter.

Deletes an Account Filter in the Media Services account.

get

Get an Account Filter.

Get the details of an Account Filter in the Media Services account.

list

List Account Filters.

List Account Filters in the Media Services account.

update

Update an Account Filter.

Updates an existing Account Filter in the Media Services account.

create_or_update

Create or update an Account Filter.

Creates or updates an Account Filter in the Media Services account.

async create_or_update(resource_group_name: str, account_name: str, filter_name: str, parameters: azure.mgmt.media.models._models_py3.AccountFilter, **kwargs: Any) -> azure.mgmt.media.models._models_py3.AccountFilter

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

filter_name
str
Required

The Account Filter name.

parameters
AccountFilter
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

AccountFilter, or the result of cls(response)

Return type

Exceptions

delete

Delete an Account Filter.

Deletes an Account Filter in the Media Services account.

async delete(resource_group_name: str, account_name: str, filter_name: str, **kwargs: Any) -> None

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

filter_name
str
Required

The Account Filter name.

cls
callable

A custom type or function that will be passed the direct response

Returns

None, or the result of cls(response)

Return type

Exceptions

get

Get an Account Filter.

Get the details of an Account Filter in the Media Services account.

async get(resource_group_name: str, account_name: str, filter_name: str, **kwargs: Any) -> azure.mgmt.media.models._models_py3.AccountFilter

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

filter_name
str
Required

The Account Filter name.

cls
callable

A custom type or function that will be passed the direct response

Returns

AccountFilter, or the result of cls(response)

Return type

Exceptions

list

List Account Filters.

List Account Filters in the Media Services account.

list(resource_group_name: str, account_name: str, **kwargs: Any) -> AsyncIterable[azure.mgmt.media.models._models_py3.AccountFilterCollection]

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

cls
callable

A custom type or function that will be passed the direct response

Returns

An iterator like instance of either AccountFilterCollection or the result of cls(response)

Return type

Exceptions

update

Update an Account Filter.

Updates an existing Account Filter in the Media Services account.

async update(resource_group_name: str, account_name: str, filter_name: str, parameters: azure.mgmt.media.models._models_py3.AccountFilter, **kwargs: Any) -> azure.mgmt.media.models._models_py3.AccountFilter

Parameters

resource_group_name
str
Required

The name of the resource group within the Azure subscription.

account_name
str
Required

The Media Services account name.

filter_name
str
Required

The Account Filter name.

parameters
AccountFilter
Required

The request parameters.

cls
callable

A custom type or function that will be passed the direct response

Returns

AccountFilter, or the result of cls(response)

Return type

Exceptions

Attributes

models

models = <module 'azure.mgmt.media.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\media\\models\\__init__.py'>